<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:ce="http://typo3.org/ns/TYPO3/CMS/FluidStyledContent/ViewHelpers"
      data-namespace-typo3-fluid="true"
>
<f:layout name="Content"/>
<f:section name="Main">
    <div class="o-cms-content" id="c{data.uid}">
        <f:render partial="Content/Header" arguments="{_all}"/>

        <div class="o-cms-content__body">
            <f:switch expression="{users -> f:count()}">
                <f:case value="1">
                    <ul class="o-gridblock--1column">
                </f:case>
                <f:case value="2">
                    <ul class="o-gridblock--2columns">
                </f:case>
                <f:defaultCase>
                    <ul class="o-gridblock--3columns">
                </f:defaultCase>
            </f:switch>

            <f:for each="{users}" as="user">
                <li>
                    <h3 class="c-teaser__title">
                        <f:if condition="{user.data.title">
                            {user.data.title}
                            <br/>
                        </f:if>
                        <f:if condition="{user.data.first_name}">
                            {user.data.first_name}
                        </f:if>
                        <f:if condition="{user.data.last_name}">
                            {user.data.last_name}
                        </f:if>
                    </h3>

                    <div class="c-teaser o-media o-media--stacked">
                        <div class="o-media__img o-media__img--fill">
                            <f:if condition="{user.media}">
                                <f:then>
                                    <div class="o-media__imageholder">
                                        <f:image src="{user.media.0.originalFile.publicUrl}"
                                                 title="{user.media.0.properties.title}"
                                                 alt="{user.media.0.properties.alternative}" style="height: auto"/>
                                        <f:render partial="Content/Copyright" arguments="{media: user.media.0}"/>
                                    </div>
                                </f:then>
                                <f:else>
                                    <f:image src="EXT:drk_template2016/Resources/Public/Images/png/placeholder_320x460.png"
                                             alt="Person placeholder" title="Person placeholder" />
                                </f:else>
                            </f:if>
                        </div>

                        <div class="c-teaser__content o-media__body">
                            <ul class="o-list-bare">
                                <f:if condition="{user.data.description}">
                                    <li>
                                        <f:format.raw>{user.data.description}</f:format.raw>
                                    </li>
                                </f:if>

                                <f:if condition="{user.data.teamlink_pid}">
                                    <li>
                                        <f:if condition="{user.data.teamlink_pid}">
                                            <f:link.typolink parameter="{user.data.teamlink_pid}" title="{user.data.title}"
                                                         class="c-teaser__link">
                                                <f:translate
                                                    key="LLL:EXT:drk_template2016/Resources/Private/Language/locallang.xlf:content_element.ambassador.link_ambassadorpage"/>
                                            </f:link.typolink>
                                        </f:if>
                                    </li>
                                </f:if>
                            </ul>
                        </div>
                    </div>
                </li>
            </f:for>
            </ul>
        </div>
    </div>
</f:section>
</html>
